Page MenuHomePhabricator

Norwegian language appears as a target language in the Norwegian Wikipedia if no or nb are accept languages
Closed, ResolvedPublic1 Story Points

Description

When a user visits a Norwegian-Bokmål article, a meaning-less generic "Norwegian" interlanguage red link is shown. The link leads the user to create a new Norwegian-Bokmål article which already exists. The generic "Norwegian" should not be considered on the interlanguage links, only specific versions of Norwegian (for which Wikipedias exists: Norwegian-Bokmål and Norwegian-Nynorsk) should be considered when showing red interlanguage links (if CX is enabled for them, and the article is really missing!).

Norwegian language appears as a target language in the Norwegian Wikipedia if no or nb are accept languages. This is because "no" is the language in the domain and "nb" is the content language.

It probably makes sense to make a function in the ULS extension that returns a list of Accept-Languages normalized for MediaWiki-based sites.

This may affect other languages for which Wikimedia uses not-entirely-orthodox codes.

"Unbreak now" because it affects display of usual articles in production for people who enabled the beta feature.

Event Timeline

Amire80 created this task.Mar 15 2015, 6:04 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Normal.
Amire80 added subscribers: Amire80, Aklapper, Nikerabbit.
Amire80 updated the task description. (Show Details)Mar 15 2015, 6:08 PM
Amire80 raised the priority of this task from Normal to Unbreak Now!.
Amire80 set Security to None.
Amire80 added a subscriber: jhsoby.

Change 196892 had a related patch set uploaded (by Amire80):
Normalize 'no' code to 'nb'

https://gerrit.wikimedia.org/r/196892

I committed a simple patch: https://gerrit.wikimedia.org/r/#/c/196892/

There may be a better way to do it, but it should be done fast, because it's a bug that I'd love to fix in production ASAP. If this patch is OK, I'll be OK with deploying this and doing something cleaner later.

Pginer-WMF updated the task description. (Show Details)Mar 17 2015, 7:15 AM
Amire80 edited a custom field.Mar 17 2015, 2:28 PM
Amire80 moved this task from Backlog to In Progress on the LE-Sprint-84 board.
Amire80 lowered the priority of this task from Unbreak Now! to High.
Amire80 claimed this task.
Amire80 moved this task from In Progress to In Review on the LE-Sprint-84 board.Mar 17 2015, 7:52 PM

Change 196892 merged by jenkins-bot:
Normalize 'no' code to 'nb' and 'nn'

https://gerrit.wikimedia.org/r/196892

Arrbee moved this task from In Review to Done on the LE-Sprint-84 board.Mar 18 2015, 7:24 AM
Arrbee closed this task as Resolved.Mar 19 2015, 7:03 AM
Arrbee added a subscriber: Arrbee.